Subject: RE: REVIEW NEEDED: draft-ietf-v6ops-ent-analysis-00.txt (UNCLASSI FIED)

From: "Bound, Jim" <[email-masked]>
Date: Thu, 14 Oct 2004 10:48:06 -0400

Brian,

I run into what your saying all the time, usually can clear it up with
the mail I am sending you.  Its not just DOD for NCO and I speak as SME
on NCO here for the network plumbing part of that
model/architecture/view not the SOA part to make that clear.  NCO and
such enterprises are not just appearing in the DOD but also for HLS (all
first responders, EMS, Fireman, Police) etc the model helps a focus and
infrastructure that permits discovery, connectivity, interoperability,
and E2E security.  All our work in IETF is the plumbing and some APIs we
do not do here.  Also FAA/Euro-Control type operations worldwide require
it and will push IPv6 native / dominant network deployment.

The key to understand is the operational benefits of IPv6 override the
business case in these environments as lives are at stake within mission
critical scenarios.  I don't want to have discussion here in IETF why
some may not believe IPv6 is that powerful and better than IPv4 that is
not the purpose of the IETF so I will not play in that debate.  I state
it so you know where these users/target markets are coming from ok.

Another point is I have seen the above network topologies and they are
the same as Enterprise at GM, JC Penney, Burger King, Home Depot, large
Bank, or Manufacturing plant.  DOD et al are an enterprise as anyother
Enterprise and DOD may in fact be the largest Internet network in the
world.

Another point is for you and I as vendors.  The above scenarios do not
require custom products at all what we build for them is the same as
what we will build for private/commerical market and so the products are
for a horizontal market from technology infrastructure perspective.

The final point is that I agree we need to make it clear dual stack is
what is being done here.  Also to execute and implement dominant IPv6
networks is just a use and view of dual stack that permits faster
evolution to dominant IPv6 networks and that we can fix in the draft too
and explain it better.

Whether this can all be done by the Oct 25th deadline is debateable as
we got all this great input and discussion rather late in the game.

Thanks
/jim

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Thursday, October 14, 2004 9:02 AM
> To: Klynsma, Steven L Mr CIO/G6/MITRE
> Cc: Bound, Jim; [email-masked]
> Subject: Re: REVIEW NEEDED: 
> draft-ietf-v6ops-ent-analysis-00.txt (UNCLASSI FIED)
> 
> Steve,
> 
> Yes, I am fully aware of Network Centric Operations requirements.
> Somehow I don't think of the DoD as an "enterprise" and my 
> comments are all in the context of my understanding of enterprises.
> Obviously, a solution is needed in the scenario you describe, 
> but I'd like to think of it as separable.
> 
>     Brian
> 
> 
> Klynsma, Steven L Mr CIO/G6/MITRE wrote:
> > Classification:  UNCLASSIFIED
> > Caveats: NONE
> > 
> > Brian,
> > 
> > I work for the military and would dearly love to go to a 
> dual-stack everywhere, but as Jim mentioned, that's simply 
> not feasible.  Unlike commercial users, we typically must 
> develop our own unique comms networks that support unique 
> military requirements (i.e. extremely constrained bandwidth 
> (we feel lucky to have 16KBPS "pipes"), unpredictable, but 
> inevitable and often lengthy, disconnects from network 
> services, and a need for both host and routing infrastructure 
> to be mobile).  In such an environment, operating two routing 
> protocols, as you must with dual-stack becomes quite 
> problematic.  In addition, because of the lengthy life cycles 
> of weapon systems (15-20 years), you find yourself working 
> with processors that are overloaded already.  Throw a 
> dual-stack requirement on this tactical environment and you 
> break the camels back.  
> > 
> > So we are typically looking at replacing the entire 
> tactical comms infrastructure.  Given the other constraints 
> on bandwidth, mobility, etc., it becomes very attractive to 
> make the leap from IPv4 directly to IPv6 without a lengthy 
> dual-stack transition period.  However, that essentially 
> creates an IPv6-only ISP supporting our weapon systems on the 
> battlefield.  Of course, this, in turn, comes with another 
> set of problems, primarily for interoperablity with 
> IPv4-based current systems and allies, but we hope by 
> aggressively migrating the force to IPv6-dominance that these 
> additional problems become manageable.
> > 
> > Vr,
> > 
> > Steve
> 
> 
> <snip>
>